%global modulename cmd-shim

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-cmd-shim
Version:        2.0.2
Release:        1%{?dist}
Summary:        Used in npm for command line application support

License:        BSD
URL:            https://github.com/ForbesLindesay/cmd-shim#readme
Source0:        https://registry.npmjs.org/cmd-shim/-/cmd-shim-2.0.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(graceful-fs) >= 4.1.2 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.0 with npmlib(mkdirp) < 0.6.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Used in npm for command line application support

%package 2.0.2
Summary:        Used in npm for command line application support


%description 2.0.2
Used in npm for command line application support

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.2
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.0.2-1
- Package automatically generated by npm2srpm
